function changeSource () {
    var newValue = $(this).data('source');
    clearIdle();
    if (newValue !== 'Tanakh / Old Testament' && isFree()) {
        notFreeMessage();
        return;
    }
    g.source = newValue;
    $('#sourceButton').html("Source: " + g.source);
    checkpoint();
    swal("Source text changed to " + g.source + ". Change takes effect with next new game.");
}

Object.assign(Cipher.g.ios, {
    ratingUrl: "http://itunes.apple.com/WebObjects/MZStore.woa/wa/viewContentsUserReviews?id=978460786&pageNumber=0&sortOrdering=2&type=Purple+Software&mt=8",
    admobid: "ca-app-pub-9949206337857379/4141452121",
    scoreboardIdPrefix: '',
    purchaseIds: {
        PAID_LICENCE_ID: 'paid_licence',
        FIVE_HINTS_ID: 'five_hints',
        FIFTEEN_HINTS_ID: 'fifteen_hints',
    },
});

Object.assign(Cipher.g.android, {
    ratingUrl: "https://play.google.com/store/apps/details?id=com.beacegames.biblefree",
    admobid: "ca-app-pub-9949206337857379/4560254520",
    leaderboards: {
        totalScore: 'CgkIvfGH8cYCEAIQBg',
        scoreMode0: 'CgkIvfGH8cYCEAIQBw',
        scoreMode1: 'CgkIvfGH8cYCEAIQCA',
        scoreMode2: 'CgkIvfGH8cYCEAIQCQ',
        scoreMode3: 'CgkIvfGH8cYCEAIQCg'
    },
    purchaseIds: {
        PAID_LICENCE_ID: 'paid_licence',
        FIVE_HINTS_ID: 'five_hints',
        FIFTEEN_HINTS_ID: 'fifteen_hints',
    },
});

Object.assign(g, {
    source: 'Tanakh / Old Testament',
    text: "data/bible.html",
    currentStorageValue: function() {
        var v = currentStorageValue();

        v.source = g.source;
        return v;
    },
    useStorage: function(result) {
        useStorage(result);
        g.source = result.source;
    },
    splitText: function() {
        var oneBook, i;

        g.books = g.originalText.split(/\<hr.*/);
        switch (g.source) {
        case 'Tanakh / Old Testament':
            i = randInt(39);
            break;
        case 'New Testament':
            i = randInt(26) + 39;
            break;
        default:
            i = randInt(g.books.length);
        }
        oneBook = g.books[i];
        g.bookName = oneBook.match(/\<h3.*/)[0];
        g.bookName = g.bookName.replace(/<(?:.|\n)*?>/gm, '');
        console.log("bookname is " + g.bookName);
        oneBook = oneBook.replace(/<(?:.|\n)*?>/gm, '');
        g.paragraphs = oneBook.split(/\r\n\r\n|\n\n/);
    },
    cleanupText: function() {
        g.originalText = g.originalText.replace(/\d+:\d+/g, "");
    },
    tutorialMessageLevel2: 'AND GOD SAID LET THERE BE LIGHT',
    tutorialMessageLevel3: 'IN THE BEGINNING GOD CREATED THE HEAVEN AND THE EARTH',
    initHook: function() {
        $("#sourceMenu button").click(changeSource);
    },
});
